FROM node:14 AS builder
WORKDIR /app
COPY ./landing/package.json ./
RUN apt-get update && apt-get install python -y \
    && yarn
RUN yarn global add serve
COPY ./landing .

# CMD ["yarn", "run", "build"]

CMD yarn build && serve -p 3000 -s build 
# RUN yarn build
# CMD ["yarn", "run", "build"]

# FROM nginx:1.19-alpine AS server
# COPY --from=builder /app/build /var/www
# COPY  ./nginx/nginx.conf /etc/nginx/nginx.conf
# EXPOSE 80
# ENTRYPOINT ["nginx","-g","daemon off;"]
#RUN yarn global add serve && serve -s build
